--
-- Table structure for table `#__jmgquestionnaire`
--

CREATE TABLE IF NOT EXISTS `#__jmgquestionnaire` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `name` varchar(400) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `description` text NOT NULL,
  `customimageurl` varchar(2048) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `price` decimal(10,2) NOT NULL DEFAULT '0.00',
  `own_prefix` tinyint(1) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100)),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Table structure for table `#__jmgquestionnaire_questionnaires`
--

CREATE TABLE IF NOT EXISTS `#__jmgquestionnaire_questionnaires` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `name` varchar(400) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `groupid` int(10) unsigned NOT NULL DEFAULT 0,
  `contenttype` tinyint(3) NOT NULL DEFAULT 1,
  `rewardid` int(11) NOT NULL DEFAULT 0,
  `dpid` int(11) NOT NULL DEFAULT 0,
  `redirectid` int(11) NOT NULL DEFAULT 0,
  `required_score` int(10) unsigned NOT NULL DEFAULT 0,
  `notificationid` tinyint(3) NOT NULL DEFAULT 0,
  `linktarget` varchar(10) NOT NULL DEFAULT '',
  `menuitem` int(11) NOT NULL DEFAULT 0,
  `externurl` varchar(2048) NOT NULL DEFAULT '',
  `numbering` tinyint(3) NOT NULL DEFAULT 1,
  `style` varchar(10) NOT NULL DEFAULT 'default',
  `header_alignment` varchar(10) NOT NULL DEFAULT '',
  `nrbgcolor` varchar(7) NOT NULL DEFAULT '#eeeeee',
  `nrtextcolor` varchar(7) NOT NULL DEFAULT '#444444',
  `color` varchar(7) NOT NULL DEFAULT '#245884',
  `template` varchar(10) NOT NULL DEFAULT '',
  `icon` varchar(50) NOT NULL DEFAULT '',
  `classes` varchar(2048) NOT NULL DEFAULT '',
  `clicks` int(11) NOT NULL DEFAULT 0,
  `showtitle` tinyint(3) NOT NULL DEFAULT 0,
  `anonymous` tinyint(3) NOT NULL DEFAULT 0,
  `invitation` tinyint(3) NOT NULL DEFAULT 0,
  `short_description` varchar(400) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `annotation` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `default_fields` text NOT NULL,
  `image` varchar(400) NOT NULL DEFAULT '',
  `image_alt` varchar(400) NOT NULL DEFAULT '',
  `image_caption` varchar(400) NOT NULL DEFAULT '',
  `own_prefix` tinyint(1) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `access` int(10) unsigned NOT NULL DEFAULT 1,
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100)),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Table structure for table `#__jmgquestionnaire_questions`
--

CREATE TABLE IF NOT EXISTS `#__jmgquestionnaire_questions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `name` varchar(400) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT 1,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `questionnaireid` int(10) unsigned NOT NULL DEFAULT 0,
  `questioningid` tinyint(3) NOT NULL DEFAULT 0,
  `qng4dflt` tinyint(3) NOT NULL DEFAULT 0,
  `qng5dflt` tinyint(3) NOT NULL DEFAULT 0,	
  `qng4statement` tinyint(3) NOT NULL DEFAULT 0,
  `qng5statement` tinyint(3) NOT NULL DEFAULT 0,	
  `qng4imageyes` VARCHAR(400) NOT NULL DEFAULT '',
  `qng4imageno` VARCHAR(400) NOT NULL DEFAULT '',
  `qng5imageyes` VARCHAR(400) NOT NULL DEFAULT '',
  `qng5imageno` VARCHAR(400) NOT NULL DEFAULT '',
  `qng5imageperhaps` VARCHAR(400) NOT NULL DEFAULT '',
  `qng4imageyes_title` text NOT NULL,
  `qng4imageno_title` text NOT NULL,
  `qng5imageyes_title` text NOT NULL,
  `qng5imageno_title` text NOT NULL,
  `qng5imageperhaps_title` text NOT NULL,
  `skip` tinyint(3) NOT NULL DEFAULT 0,
  `page_header` varchar(400) NOT NULL DEFAULT '',
  `page_description` text NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT 1,
  `level` int(10) NOT NULL DEFAULT 1,
  `path` VARCHAR(400) NOT NULL DEFAULT '',
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `published` tinyint(4) NOT NULL DEFAULT 1,
  `score` int(10) unsigned NOT NULL DEFAULT 0,
  `showon` int(11) NOT NULL DEFAULT 0,
  `explanation` varchar(2048) NOT NULL DEFAULT '',
  `alignment` varchar(10) NOT NULL DEFAULT '',
  `input_type` varchar(10) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `image` varchar(2048) NOT NULL,
  `image_title` text NOT NULL,
  `imagepos` varchar(20) NOT NULL DEFAULT '',
  `toggle_image` tinyint(3) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

INSERT IGNORE INTO `#__jmgquestionnaire_questions` (`id`, `name`, `alias`, `state`, `parent_id`, `level`, `lft`, `rgt`, `published`, `language`) VALUES
(1, 'questions root', 'questions-root-alias', 1, 0, 0, 0, 0, 1, '*');

--
-- Table structure for table `#__jmgquestionnaire_answers`
--

CREATE TABLE IF NOT EXISTS `#__jmgquestionnaire_answers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `name` varchar(400) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `statement` tinyint(3) NOT NULL DEFAULT 0,
  `dflt` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `questionid` int(10) unsigned NOT NULL DEFAULT 0,
  `score` int(10) unsigned NOT NULL DEFAULT 0,
  `description` text NOT NULL,
  `image` varchar(2048) NOT NULL,
  `image_alt` varchar(200) NOT NULL,
  `image_title` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Table structure for table `#__jmgquestionnaire_respondents`
--

CREATE TABLE IF NOT EXISTS `#__jmgquestionnaire_respondents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `name` varchar(400) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `userid` int(10) unsigned NOT NULL DEFAULT 0,
  `genderid` tinyint(3) NOT NULL DEFAULT 0,
  `firstname` varchar(400) NOT NULL DEFAULT '',
  `surname` varchar(400) NOT NULL DEFAULT '',
  `salutation` varchar(400) NOT NULL DEFAULT '',
  `titlex` varchar(400) NOT NULL DEFAULT '',
  `street` varchar(400) NOT NULL DEFAULT '',
  `postal_code` varchar(10) NOT NULL DEFAULT '',
  `city` varchar(400) NOT NULL DEFAULT '',
  `stateid` varchar(10) NOT NULL DEFAULT '',
  `countryid` varchar(3) NOT NULL DEFAULT '',
  `latitude` float(10,6) default NULL,
  `longitude` float(10,6) default NULL,
  `phone` varchar(50) NOT NULL DEFAULT '',
  `mobile` varchar(50) NOT NULL DEFAULT '',
  `fax` varchar(50) NOT NULL DEFAULT '',
  `email` varchar(400) NOT NULL DEFAULT '',
  `website` varchar(400) NOT NULL DEFAULT '',	
  `uniqueid` varchar(100) NOT NULL,
  `description` text NOT NULL,
  `image` varchar(2048) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT 0,
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Table structure for table `#__jmgquestionnaire_surveys`
--

CREATE TABLE IF NOT EXISTS `#__jmgquestionnaire_surveys` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `state` tinyint(3) NOT NULL DEFAULT 1,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `respondentid` int(10) NOT NULL DEFAULT 0,
  `questionnaireid` int(10) unsigned NOT NULL DEFAULT 0,
  `questionid` int(10) unsigned NOT NULL DEFAULT 0,
  `answerid` int(10) NOT NULL DEFAULT 0,
  `answer` text NOT NULL,
  `userid` int(10) unsigned NOT NULL DEFAULT 0,
  `uniqueid` varchar(100) NOT NULL,
  `invitationid` varchar(100) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

--
-- Table structure for table `#__jmgquestionnaire_invitations`
--

CREATE TABLE IF NOT EXISTS `#__jmgquestionnaire_invitations` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `state` tinyint(3) NOT NULL DEFAULT 1,
  `questionnaireid` int(10) unsigned NOT NULL DEFAULT 0,
  `invitationid` varchar(100) NOT NULL,
  `email` varchar(200) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`)
) ENGINE=MyISAM CHARACTER SET `utf8` COLLATE `utf8_general_ci`;